<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Name: VZVZ Opvragen Medicatievoorschriften
Description: Opvragen Medicatievoorschriften 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000">
   <title>VZVZ Opvragen Medicatievoorschriften</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]"
         id="d20e5413-false-d108773e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]) &gt;= 1">(opvragenVoorschriftenLijst): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9022
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]
Item: (AttentionLineContextCode)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]"
         id="d108797e25-false-d108802e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code = 'CONTEXT' and @codeSystem = '2.16.840.1.113883.2.4.15.1') or @nullFlavor]) &gt;= 1">(AttentionLineContextCode): element hl7:keyWordText[(@code = 'CONTEXT' and @codeSystem = '2.16.840.1.113883.2.4.15.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code = 'CONTEXT' and @codeSystem = '2.16.840.1.113883.2.4.15.1') or @nullFlavor]) &lt;= 1">(AttentionLineContextCode): element hl7:keyWordText[(@code = 'CONTEXT' and @codeSystem = '2.16.840.1.113883.2.4.15.1') or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(AttentionLineContextCode): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(AttentionLineContextCode): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9022
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:keyWordText[(@code = 'CONTEXT' and @codeSystem = '2.16.840.1.113883.2.4.15.1') or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:keyWordText[(@code = 'CONTEXT' and @codeSystem = '2.16.840.1.113883.2.4.15.1') or @nullFlavor]"
         id="d108797e27-false-d108831e0">
      <extends rule="SC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or not(@code) or (@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(AttentionLineContextCode): de elementwaarde MOET een zijn van 'code 'CONTEXT' codeSystem '2.16.840.1.113883.2.4.15.1''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="text()='ContextCode'">(AttentionLineContextCode): de elementinhoud van hl7:keyWordText[(@code = 'CONTEXT' and @codeSystem = '2.16.840.1.113883.2.4.15.1') or @nullFlavor] MOET ''ContextCode'' zijn. Gevonden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9022
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d108797e35-false-d108853e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(AttentionLineContextCode): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.111.3.3.11.1 AORTA Context Code (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]"
         id="d20e5419-false-d108879e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="string(@moodCode) = ('EVN')">(opvragenVoorschriftenLijst): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.1.18' or @nullFlavor]) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:code[@codeSystem = '2.16.840.1.113883.1.18' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]) &gt;= 1">(opvragenVoorschriftenLijst): element hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:code[@codeSystem = '2.16.840.1.113883.1.18' or @nullFlavor]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:code[@codeSystem = '2.16.840.1.113883.1.18' or @nullFlavor]"
         id="d20e5426-false-d108917e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(opvragenVoorschriftenLijst): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.1.18''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:effectiveTime
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:effectiveTime"
         id="d20e5434-false-d108933e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="not(*)">(opvragenVoorschriftenLijst): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]"
         id="d20e5446-false-d108952e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']) &gt;= 1">(opvragenVoorschriftenLijst): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:queryId[not(@nullFlavor)]) &gt;= 1">(opvragenVoorschriftenLijst): element hl7:queryId[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:queryId[not(@nullFlavor)]) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:queryId[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code = 'executing']) &gt;= 1">(opvragenVoorschriftenLijst): element hl7:statusCode[@code = 'executing'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:statusCode[@code = 'executing']) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:statusCode[@code = 'executing'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:responseModalityCode[@code = 'R']) &gt;= 1">(opvragenVoorschriftenLijst): element hl7:responseModalityCode[@code = 'R'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:responseModalityCode[@code = 'R']) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:responseModalityCode[@code = 'R'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:responsePriorityCode[@code = 'I']) &gt;= 1">(opvragenVoorschriftenLijst): element hl7:responsePriorityCode[@code = 'I'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:responsePriorityCode[@code = 'I']) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:responsePriorityCode[@code = 'I'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:executionAndDeliveryTime[not(@nullFlavor)]) &gt;= 1">(opvragenVoorschriftenLijst): element hl7:executionAndDeliveryTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:executionAndDeliveryTime[not(@nullFlavor)]) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:executionAndDeliveryTime[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:administrationRequestEffectiveTimeInterval) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:administrationRequestEffectiveTimeInterval komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:medicationCode) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:medicationCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:medicationCombinedOrderID) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:medicationCombinedOrderID komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:patientId[hl7:value[@root = '2.16.840.1.113883.2.4.6.3']]) &gt;= 1">(opvragenVoorschriftenLijst): element hl7:patientId[hl7:value[@root = '2.16.840.1.113883.2.4.6.3']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:patientId[hl7:value[@root = '2.16.840.1.113883.2.4.6.3']]) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:patientId[hl7:value[@root = '2.16.840.1.113883.2.4.6.3']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']"
         id="d20e5448-false-d109047e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.111.3.3.10.11')">(opvragenVoorschriftenLijst): de waarde van root MOET '2.16.840.1.113883.2.4.3.111.3.3.10.11' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:queryId[not(@nullFlavor)]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:queryId[not(@nullFlavor)]"
         id="d20e5453-false-d109061e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:statusCode[@code = 'executing']
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:statusCode[@code = 'executing']"
         id="d20e5464-false-d109072e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="@nullFlavor or (@code='executing')">(opvragenVoorschriftenLijst): de elementwaarde MOET een zijn van 'code 'executing''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:responseModalityCode[@code = 'R']
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:responseModalityCode[@code = 'R']"
         id="d20e5477-false-d109089e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="@nullFlavor or (@code='R')">(opvragenVoorschriftenLijst): de elementwaarde MOET een zijn van 'code 'R''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:responsePriorityCode[@code = 'I']
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:responsePriorityCode[@code = 'I']"
         id="d20e5490-false-d109106e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="@nullFlavor or (@code='I')">(opvragenVoorschriftenLijst): de elementwaarde MOET een zijn van 'code 'I''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:executionAndDeliveryTime[not(@nullFlavor)]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:executionAndDeliveryTime[not(@nullFlavor)]"
         id="d20e5504-false-d109122e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="not(*)">(opvragenVoorschriftenLijst): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:administrationRequestEffectiveTimeInterval
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:administrationRequestEffectiveTimeInterval"
         id="d20e5515-false-d109135e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(opvragenVoorschriftenLijst): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value[not(@nullFlavor)]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value[not(@nullFlavor)]"
         id="d20e5537-false-d109149e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="not(hl7:low) or string-length(hl7:low/@value)&gt;=12">(opvragenVoorschriftenLijst): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="not(hl7:high) or string-length(hl7:high/@value)&gt;=12">(opvragenVoorschriftenLijst): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <let name="elmcount" value="count(hl7:low | hl7:high)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="$elmcount &gt;= 1">(opvragenVoorschriftenLijst): keuze (hl7:low  of  hl7:high) bevat te weinig elementen [min 1x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="$elmcount &lt;= 2">(opvragenVoorschriftenLijst): keuze (hl7:low  of  hl7:high) bevat te veel elementen [max 2x]</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:low) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:low komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:high) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value[not(@nullFlavor)]/hl7:low
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value[not(@nullFlavor)]/hl7:low"
         id="d20e5574-false-d109184e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="not(*)">(opvragenVoorschriftenLijst): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value[not(@nullFlavor)]/hl7:high
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:administrationRequestEffectiveTimeInterval/hl7:value[not(@nullFlavor)]/hl7:high"
         id="d20e5576-false-d109197e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="not(*)">(opvragenVoorschriftenLijst): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:medicationCode
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:medicationCode"
         id="d20e5584-false-d109210e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(opvragenVoorschriftenLijst): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:medicationCode/hl7:value[not(@nullFlavor)]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:medicationCode/hl7:value[not(@nullFlavor)]"
         id="d20e5589-false-d109224e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:medicationCombinedOrderID
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:medicationCombinedOrderID"
         id="d20e5592-false-d109234e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(opvragenVoorschriftenLijst): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(opvragenVoorschriftenLijst): element hl7:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.11
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:medicationCombinedOrderID/hl7:value[not(@nullFlavor)]
Item: (opvragenVoorschriftenLijst)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:medicationCombinedOrderID/hl7:value[not(@nullFlavor)]"
         id="d20e5602-false-d109250e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.11-2014-01-13T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenVoorschriftenLijst): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9035
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:patientId[hl7:value[@root = '2.16.840.1.113883.2.4.6.3']]
Item: (QRYpatientId)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:patientId[hl7:value[@root = '2.16.840.1.113883.2.4.6.3']]"
         id="d109251e26-false-d109265e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root = '2.16.840.1.113883.2.4.6.3']) &gt;= 1">(QRYpatientId): element hl7:value[@root = '2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root = '2.16.840.1.113883.2.4.6.3']) &lt;= 1">(QRYpatientId): element hl7:value[@root = '2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.4.10.1
Context: //hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:patientId[hl7:value[@root = '2.16.840.1.113883.2.4.6.3']]/hl7:value[@root = '2.16.840.1.113883.2.4.6.3']
Item: (dtBSNValue)
-->

   <rule context="//hl7:QURX_IN990201NL01[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.11']]/hl7:patientId[hl7:value[@root = '2.16.840.1.113883.2.4.6.3']]/hl7:value[@root = '2.16.840.1.113883.2.4.6.3']"
         id="d109260e29-false-d109289e0">
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(dtBSNValue): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="@extension">(dtBSNValue): attribute @extension MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="not(@extension) or string-length(@extension)&gt;0">(dtBSNValue): attribuut @extension MOET datatype 'st' hebben  - '<value-of select="@extension"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.3')">(dtBSNValue): de waarde van root MOET '2.16.840.1.113883.2.4.6.3' zijn. Gevonden: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="string-length(@extension) = 9">(dtBSNValue): Het BSN dient altijd 9 cijfers te bevatten. Het BSN kan ook voorloopnullen bevatten, oftewel beginnen met een nul.</assert>
   </rule>
</pattern>
