<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Name: VZVZ Opvragen Contactverslagen
Description: Opvragen Contactverslagen 
                 Verdere informatie 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000">
   <title>VZVZ Opvragen Contactverslagen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]"
         id="d20e6203-false-d124244e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]) &gt;= 1">(opvragenContactverslagen): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]) &lt;= 1">(opvragenContactverslagen): element hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9022
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]
Item: (AttentionLineContextCode)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]"
         id="d124270e25-false-d124275e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code = 'CONTEXT' and @codeSystem = '2.16.840.1.113883.2.4.15.1') or @nullFlavor]) &gt;= 1">(AttentionLineContextCode): element hl7:keyWordText[(@code = 'CONTEXT' and @codeSystem = '2.16.840.1.113883.2.4.15.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="count(hl7:keyWordText[(@code = 'CONTEXT' and @codeSystem = '2.16.840.1.113883.2.4.15.1') or @nullFlavor]) &lt;= 1">(AttentionLineContextCode): element hl7:keyWordText[(@code = 'CONTEXT' and @codeSystem = '2.16.840.1.113883.2.4.15.1') or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(AttentionLineContextCode): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(AttentionLineContextCode): element hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9022
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:keyWordText[(@code = 'CONTEXT' and @codeSystem = '2.16.840.1.113883.2.4.15.1') or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:keyWordText[(@code = 'CONTEXT' and @codeSystem = '2.16.840.1.113883.2.4.15.1') or @nullFlavor]"
         id="d124270e27-false-d124304e0">
      <extends rule="SC"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SC' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:SC" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or not(@code) or (@code='CONTEXT' and @codeSystem='2.16.840.1.113883.2.4.15.1')">(AttentionLineContextCode): de elementwaarde MOET een zijn van 'code 'CONTEXT' codeSystem '2.16.840.1.113883.2.4.15.1''.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="text()='ContextCode'">(AttentionLineContextCode): de elementinhoud van hl7:keyWordText[(@code = 'CONTEXT' and @codeSystem = '2.16.840.1.113883.2.4.15.1') or @nullFlavor] MOET ''ContextCode'' zijn. Gevonden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9022
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (AttentionLineContextCode)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:attentionLine[hl7:keyWordText[@code='CONTEXT'][@codeSystem='2.16.840.1.113883.2.4.15.1']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d124270e35-false-d124326e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(AttentionLineContextCode): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9022-2014-09-10T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.2.4.3.111.3.3.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(AttentionLineContextCode): de elementwaarde MOET een zijn van '2.16.840.1.113883.2.4.3.111.3.3.11.1 AORTA Context Code (DYNAMISCH)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]"
         id="d20e6209-false-d124354e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="string(@moodCode) = ('EVN')">(opvragenContactverslagen): de waarde van moodCode MOET 'EVN' zijn. Gevonden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:code[@codeSystem = '2.16.840.1.113883.1.18' or @nullFlavor]) &lt;= 1">(opvragenContactverslagen): element hl7:code[@codeSystem = '2.16.840.1.113883.1.18' or @nullFlavor] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(opvragenContactverslagen): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]) &gt;= 1">(opvragenContactverslagen): element hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]) &lt;= 1">(opvragenContactverslagen): element hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:code[@codeSystem = '2.16.840.1.113883.1.18' or @nullFlavor]
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:code[@codeSystem = '2.16.840.1.113883.1.18' or @nullFlavor]"
         id="d20e6216-false-d124394e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CV" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.1.18')">(opvragenContactverslagen): de elementwaarde MOET een zijn van 'codeSystem '2.16.840.1.113883.1.18''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:effectiveTime
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:effectiveTime"
         id="d20e6224-false-d124410e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="not(*)">(opvragenContactverslagen): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]"
         id="d20e6236-false-d124431e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:queryId[not(@nullFlavor)]) &gt;= 1">(opvragenContactverslagen): element hl7:queryId[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:queryId[not(@nullFlavor)]) &lt;= 1">(opvragenContactverslagen): element hl7:queryId[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:statusCode[@code = 'executing']) &gt;= 1">(opvragenContactverslagen): element hl7:statusCode[@code = 'executing'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:statusCode[@code = 'executing']) &lt;= 1">(opvragenContactverslagen): element hl7:statusCode[@code = 'executing'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:responseModalityCode[@code = 'R']) &gt;= 1">(opvragenContactverslagen): element hl7:responseModalityCode[@code = 'R'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:responseModalityCode[@code = 'R']) &lt;= 1">(opvragenContactverslagen): element hl7:responseModalityCode[@code = 'R'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:responsePriorityCode[@code = 'I']) &gt;= 1">(opvragenContactverslagen): element hl7:responsePriorityCode[@code = 'I'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:responsePriorityCode[@code = 'I']) &lt;= 1">(opvragenContactverslagen): element hl7:responsePriorityCode[@code = 'I'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:executionAndDeliveryTime[not(@nullFlavor)]) &gt;= 1">(opvragenContactverslagen): element hl7:executionAndDeliveryTime[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:executionAndDeliveryTime[not(@nullFlavor)]) &lt;= 1">(opvragenContactverslagen): element hl7:executionAndDeliveryTime[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:patientId[hl7:value[@root = '2.16.840.1.113883.2.4.6.3']]) &gt;= 1">(opvragenContactverslagen): element hl7:patientId[hl7:value[@root = '2.16.840.1.113883.2.4.6.3']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:patientId[hl7:value[@root = '2.16.840.1.113883.2.4.6.3']]) &lt;= 1">(opvragenContactverslagen): element hl7:patientId[hl7:value[@root = '2.16.840.1.113883.2.4.6.3']] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:effectiveTimeInterval) &lt;= 1">(opvragenContactverslagen): element hl7:effectiveTimeInterval komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']) &gt;= 1">(opvragenContactverslagen): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']) &lt;= 1">(opvragenContactverslagen): element hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:queryId[not(@nullFlavor)]
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:queryId[not(@nullFlavor)]"
         id="d20e6238-false-d124521e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:statusCode[@code = 'executing']
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:statusCode[@code = 'executing']"
         id="d20e6249-false-d124532e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="@nullFlavor or (@code='executing')">(opvragenContactverslagen): de elementwaarde MOET een zijn van 'code 'executing''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:responseModalityCode[@code = 'R']
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:responseModalityCode[@code = 'R']"
         id="d20e6262-false-d124549e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="@nullFlavor or (@code='R')">(opvragenContactverslagen): de elementwaarde MOET een zijn van 'code 'R''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:responsePriorityCode[@code = 'I']
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:responsePriorityCode[@code = 'I']"
         id="d20e6275-false-d124566e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="@nullFlavor or (@code='I')">(opvragenContactverslagen): de elementwaarde MOET een zijn van 'code 'I''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:executionAndDeliveryTime[not(@nullFlavor)]
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:executionAndDeliveryTime[not(@nullFlavor)]"
         id="d20e6288-false-d124582e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="not(*)">(opvragenContactverslagen): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9035
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:patientId[hl7:value[@root = '2.16.840.1.113883.2.4.6.3']]
Item: (QRYpatientId)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:patientId[hl7:value[@root = '2.16.840.1.113883.2.4.6.3']]"
         id="d124583e30-false-d124600e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root = '2.16.840.1.113883.2.4.6.3']) &gt;= 1">(QRYpatientId): element hl7:value[@root = '2.16.840.1.113883.2.4.6.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9035-2015-06-01T000000.html"
              test="count(hl7:value[@root = '2.16.840.1.113883.2.4.6.3']) &lt;= 1">(QRYpatientId): element hl7:value[@root = '2.16.840.1.113883.2.4.6.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.4.10.1
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:patientId[hl7:value[@root = '2.16.840.1.113883.2.4.6.3']]/hl7:value[@root = '2.16.840.1.113883.2.4.6.3']
Item: (dtBSNValue)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:patientId[hl7:value[@root = '2.16.840.1.113883.2.4.6.3']]/hl7:value[@root = '2.16.840.1.113883.2.4.6.3']"
         id="d124595e29-false-d124624e0">
      <extends rule="II.NL.BSN"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(dtBSNValue): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="@extension">(dtBSNValue): attribute @extension MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="not(@extension) or string-length(@extension)&gt;0">(dtBSNValue): attribuut @extension MOET datatype 'st' hebben  - '<value-of select="@extension"/>'</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.6.3')">(dtBSNValue): de waarde van root MOET '2.16.840.1.113883.2.4.6.3' zijn. Gevonden: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.4.10.1-2017-07-24T134647.html"
              test="string-length(@extension) = 9">(dtBSNValue): Het BSN dient altijd 9 cijfers te bevatten. Het BSN kan ook voorloopnullen bevatten, oftewel beginnen met een nul.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9034
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:effectiveTimeInterval
Item: (QRYeffectiveTimeInterval)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:effectiveTimeInterval"
         id="d124625e54-false-d124644e0">
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &gt;= 1">(QRYeffectiveTimeInterval): element hl7:value[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="count(hl7:value[not(@nullFlavor)]) &lt;= 1">(QRYeffectiveTimeInterval): element hl7:value[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9034
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:effectiveTimeInterval/hl7:value[not(@nullFlavor)]
Item: (QRYeffectiveTimeInterval)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:effectiveTimeInterval/hl7:value[not(@nullFlavor)]"
         id="d124625e62-false-d124660e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(QRYeffectiveTimeInterval): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:IVL_TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="not(hl7:low) or string-length(hl7:low/@value)&gt;=12">(QRYeffectiveTimeInterval): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="not(hl7:high) or string-length(hl7:high/@value)&gt;=12">(QRYeffectiveTimeInterval): Onder- en bovengrens (low, high) is tot op de minuut te specificeren</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="count(hl7:low[not(@nullFlavor)]) &gt;= 1">(QRYeffectiveTimeInterval): element hl7:low[not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="count(hl7:low[not(@nullFlavor)]) &lt;= 1">(QRYeffectiveTimeInterval): element hl7:low[not(@nullFlavor)] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="count(hl7:high) &lt;= 1">(QRYeffectiveTimeInterval): element hl7:high komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9034
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:effectiveTimeInterval/hl7:value[not(@nullFlavor)]/hl7:low[not(@nullFlavor)]
Item: (QRYeffectiveTimeInterval)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:effectiveTimeInterval/hl7:value[not(@nullFlavor)]/hl7:low[not(@nullFlavor)]"
         id="d124625e67-false-d124685e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(QRYeffectiveTimeInterval): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="not(*)">(QRYeffectiveTimeInterval): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.9034
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:effectiveTimeInterval/hl7:value[not(@nullFlavor)]/hl7:high
Item: (QRYeffectiveTimeInterval)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:effectiveTimeInterval/hl7:value[not(@nullFlavor)]/hl7:high"
         id="d124625e69-false-d124698e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(QRYeffectiveTimeInterval): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:TS" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.9034-2015-06-01T000000.html"
              test="not(*)">(QRYeffectiveTimeInterval): <value-of select="local-name()"/> met datatype TS, MAG GEEN elementen bevatten.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.111.3.3.10.13
Context: //hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']
Item: (opvragenContactverslagen)
-->

   <rule context="//hl7:REPC_IN990100NL[hl7:ControlActProcess[@moodCode = 'EVN']]/hl7:ControlActProcess[hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]]/hl7:queryByParameter[hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']]/hl7:templateId[@root = '2.16.840.1.113883.2.4.3.111.3.3.10.13']"
         id="d20e6306-false-d124712e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(opvragenContactverslagen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten. Gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/pub/vzvz/kz-vzvz-html-20190122T131422/tmp-2.16.840.1.113883.2.4.3.111.3.3.10.13-2015-06-01T000000.html"
              test="string(@root) = ('2.16.840.1.113883.2.4.3.111.3.3.10.13')">(opvragenContactverslagen): de waarde van root MOET '2.16.840.1.113883.2.4.3.111.3.3.10.13' zijn. Gevonden: "<value-of select="@root"/>"</assert>
   </rule>
</pattern>
